{{& path}}:
  post:
    operationId: post{{schema}}
    tags:
      - {{tag}}
    summary: Create an object of type {{schema}}
    responses:
      '201':
        description: Object of {{schema}} type as stored in the DB
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/{{schema}}'
      '400':
        description: reject invalid data or missing data provided
        x-draig-validation-fixture:
          inbody: '{}'
      '415':
        description: unsupported media type not_provided
        x-draig-validation-fixture:
          inbody:
    requestBody:
      required: true
      description: Properties of the {{schema}} object to be created
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/{{schema}}'
